MEMMOVE(9) | Kernel Developer's Manual | MEMMOVE(9)

# NAME

`memmove` — copy byte string

# SYNOPSIS

`#include <sys/systm.h>`

void *
`memmove`(void *dst, const void *src, size_t len);

# DESCRIPTION

The `memmove`() function copies len bytes from string src to string dst. The two strings may overlap; the copy is always done in a non-destructive manner.

# RETURN VALUES

The `memmove`() function returns the original value of dst.

# SEE ALSO

memcpy(9)

# STANDARDS

The `memmove`() function conforms to ANSI X3.159-1989 (“ANSI C89”).

July 7, 2001 | NetBSD 11.0